Bug 104369 - The Sysstat suite is missing from rh9 2.4.20-20.9 -- tech support suggests it's a bug
The Sysstat suite is missing from rh9 2.4.20-20.9 -- tech support suggests it...
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-13 13:23 EDT by Juli Gumbiner
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-14 09:07:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juli Gumbiner 2003-09-13 13:23:40 EDT
Description of problem:  The Sysstat suite is missing from my system since I
upgraded my kernel to 2.4.20-20.9.  No iostat, mpstat, sar...

Version-Release number of selected component (if applicable):

How reproducible:  Consistently gone.

Steps to Reproduce:  It is unfailingly missing.
1.  The system was installed as a rh9 server from CDROM with all components.
2.  All advisories and errata have been applied as suggested.
Actual results:

Expected results:

Additional info:
Comment 1 Juli Gumbiner 2003-12-02 12:56:48 EST
Just wondering when this potential bug might be addressed.  It's been 
open since September.
Comment 2 Nils Philippsen 2004-01-13 11:26:52 EST
Did you update by RPM or up2date? Please attach (individually) the
output of these commands to the BZ entry as I don't have access to
RHL9 machines (nor packages) at the moment:

rpm -q --scripts kernel-2.4.20-20.9

rpm -q --scripts sysstat
Comment 3 Juli Gumbiner 2004-01-13 23:17:47 EST
[jag@lassen jag]$ rpm -q --scripts kernel-2.4.20-20.9
preinstall scriptlet (using /bin/sh):
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
exit 0
postinstall scriptlet (using /bin/sh):
cd /boot
ln -sf vmlinuz-2.4.20-20.9 vmlinuz
ln -sf System.map-2.4.20-20.9 System.map
ln -sf module-info-2.4.20-20.9 module-info
[ -x /usr/sbin/module_upgrade ] && /usr/sbin/module_upgrade
[ -x /sbin/mkkerneldoth ] && /sbin/mkkerneldoth
if [ -x /sbin/new-kernel-pkg ] ; then
        /sbin/new-kernel-pkg --mkinitrd --depmod --install 2.4.20-20.9
preuninstall scriptlet (using /bin/sh):
/sbin/modprobe loop 2> /dev/null > /dev/null  || :
#rm -f /lib/modules/2.4.20-20.9/modules.*
if [ -x /sbin/new-kernel-pkg ] ; then
 /sbin/new-kernel-pkg --rminitrd --rmmoddep --remove 2.4.20-20.9
Comment 4 Juli Gumbiner 2004-01-13 23:18:24 EST
[jag@lassen jag]$ rpm -q --scripts sysstat
package sysstat is not installed
Comment 5 Nils Philippsen 2004-01-14 07:36:53 EST
OK, please run "rpm -qp --scripts
/path/to/the/original/sysstat-....rpm" instead (with the correct path
to the sysstat RPM file which was installed before you upgraded to the
new kernel).
Comment 6 Juli Gumbiner 2004-01-14 08:51:56 EST
It's been several kernel iterations since I noticed it missing.  Any
idea how I find the original rpm?
Comment 7 Nils Philippsen 2004-01-14 09:07:41 EST
Well in that case, we don't surely know what's the culprit (the
sysstat package, the current or an older kernel package, something
completely different). Unfortunately RPM doesn't keep track of
when/what was installed/uninstalled so we don't even know what exactly
happened and when.

To be sure that you won't get bitten again, you could uninstall the
current kernel package (downgrade to an older version), install the
current sysstat package and upgrade the kernel again.

For now I'll be closing this as WORKSFORME because this problem seems
unreproducible to me. If it happens again when you do what I described
above (or with any other means by which you think you can trigger the
problem), feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.